import { ModelFieldMetadata } from "./ModelFieldMetadata";
import { DtoMetadata } from "../dto/DtoMetadata";
export type IndexType = -1 | 1 | string;
export interface IndexInfo {
    columns: [key: string, type: IndexType][];
    sparse?: boolean;
    unique?: boolean;
}
export interface ModelMetadata extends DtoMetadata {
    /**
     * Fields metadata
     */
    fields: ModelFieldMetadata[];
    /**
     * Description about this model.
     */
    description?: string;
    indexes: IndexInfo[];
}
